Subject: Re: [ietf-types] Review of application/link-format registration

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 27 Mar 2012 09:31:48 +0200

Folks, I never saw any feedback on this review request. If you have any
concerns, please say so.

On 2/14/12 9:23 PM, Peter Saint-Andre wrote:
> <hat type='AD'/>
> 
> Note: I'll request an IETF Last Call on draft-ietf-core-link-format-11
> now, which will run concurrently with the expert reviews. I am doing so
> in order to get all the reviews finished before IETF 83. Just FYI!
> 
> Peter
> 
> On 2/14/12 11:47 AM, Zach Shelby wrote:
>> draft-ietf-core-link-format-11 has passed WGLC in the CoRE WG. This draft has a registration for a new media type in Section 7.3 (also copied below). Your comments would be appreciated.
>>
>> http://tools.ietf.org/html/draft-ietf-core-link-format-11#section-7.3
>>
>> Thanks,
>> Zach Shelby
>>
>> 7.3.  New link-format Internet media type
>>
>>    This memo registers the a new Internet media type for the CoRE link
>>    format, application/link-format.
>>
>>    Type name: application
>>
>>    Subtype name: link-format
>>
>>    Required parameters: None
>>
>>    Optional parameters: None
>>
>>    Encoding considerations: Binary data
>>
>>    Security considerations:
>>
>>    Multicast requests using CoAP for the well-known link-format
>>    resources could be used to perform denial of service on a constrained
>>    network.  A multicast request SHOULD only be accepted if the request
>>    is sufficiently authenticated and secured using e.g.  IPsec or an
>>    appropriate object security mechanism.
>>
>>    CoRE link format parsers should be aware that a link description may
>>    be cyclical, i.e., contain a link to itself.  These cyclical links
>>    could be direct or indirect (i.e., through referenced link
>>    resources).  Care should be taken when parsing link descriptions and
>>    accessing cyclical links.
>>
>>    Interoperability considerations:
>>
>>    Published specification: [[ this document ]]
>>
>>    Applications that use this media type: CoAP server and client
>>    implementations for resource discovery and HTTP applications that use
>>    the link-format as a payload.
>>
>>    Additional information:
>>
>>    Magic number(s):
>>
>>    File extension(s): *.wlnk
>>
>>    Macintosh file type code(s):
>>
>>    Intended usage: COMMON
>>
>>    Restrictions on usage: None
>>
>>    Author: CoRE WG
>>
>>    Change controller: IETF
>>
>>
>> _______________________________________________
>> ietf-types mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ietf-types